Bug 631459

Summary: FTBFS subcommander-2.0-0.6.fc14.5
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: subcommanderAssignee: Jochen Schmitt <jochen>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 14CC: itamar, jochen, jreznik, kevin, ltinkl, rdieter, rnovacek, smparrish, than
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: subcommander-2.0-0.6.fc14.7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-09-23 08:36:28 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 596849    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log none

Description FTBFS 2010-09-07 14:58:48 EDT
subcommander-2.0-0.6.fc14.5.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-09-07 14:58:51 EDT
Created an attachment (id=445710)
root.log

root.log for i386
Comment 2 FTBFS 2010-09-07 14:58:53 EDT
Created an attachment (id=445711)
build.log

build.log for i386
Comment 3 FTBFS 2010-09-07 14:58:54 EDT
Created an attachment (id=445712)
mock.log

mock.log for i386
Comment 4 FTBFS 2010-09-07 14:58:56 EDT
Created an attachment (id=445713)
root.log

root.log for x86_64
Comment 5 FTBFS 2010-09-07 14:58:57 EDT
Created an attachment (id=445714)
build.log

build.log for x86_64
Comment 6 FTBFS 2010-09-07 14:58:58 EDT
Created an attachment (id=445715)
mock.log

mock.log for x86_64
Comment 7 Jochen Schmitt 2010-09-07 15:16:17 EDT
It request qt-devel >= 4.4 in the SPEC file, but in the root.log file I find a entry with qt3-devel which is wrong. So please check, what may be the reason for this effect.
Comment 8 Kevin Kofler 2010-09-07 15:47:15 EDT
This needs to be:
BuildRequires: qt-devel >= 1:4.4
(note the Epoch), or better:
BuildRequires: qt4-devel >= 4.4
which is what we recommend.

(That said, the Provides: qt-devel in qt3-devel is going away as per bug 623106. But your BuildRequires is still wrong because it will also match qt-devel 4.0/4.1/4.2/4.3 due to the Epoch.)
Comment 9 Fedora Update System 2010-09-07 16:35:16 EDT
subcommander-2.0-0.6.fc14.7 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/subcommander-2.0-0.6.fc14.7
Comment 10 Fedora Update System 2010-09-07 23:17:06 EDT
subcommander-2.0-0.6.fc14.7 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update subcommander'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/subcommander-2.0-0.6.fc14.7
Comment 11 Fedora Update System 2010-09-23 08:36:23 EDT
subcommander-2.0-0.6.fc14.7 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.